How I can install plugin elasticsearch-head


(Pavel Kozlov) #1

Hello!

How I can install elasticsearch-plugin on elasticsearch latest version on ubuntu xenial?

I made clean installation of elasticsearch with ansible and it's works, but, If I Install elasticsearch-plugin with this instruction:

and restart elasticsearch, it is crashing with error:

Jun 28 15:17:00 master-node01 systemd[1]: Started Elasticsearch.
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,860][INFO ][o.e.n.Node               ] [master-node01] initializing ...
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,979][INFO ][o.e.e.NodeEnvironment    ] [master-node01] using [1] data paths, mounts [[/ (/dev/sda1)]], net usable_spa
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,980][INFO ][o.e.e.NodeEnvironment    ] [master-node01] heap size [503.6mb], compressed ordinary object pointers [true
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,984][INFO ][o.e.n.Node               ] [master-node01] node name [master-node01], node ID [pMD02XUJT0aPhwUoXyUWdw]
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,985][INFO ][o.e.n.Node               ] [master-node01] version[6.3.0], pid[22343], build[default/deb/424e937/2018-06-
Jun 28 15:17:02 master-node01 elasticsearch[22343]: [2018-06-28T15:17:02,986][INFO ][o.e.n.Node               ] [master-node01] JVM arguments [-Xms512m, -Xmx512m, -XX:+UseConcMarkSweepGC, -X
Jun 28 15:17:03 master-node01 elasticsearch[22343]: [2018-06-28T15:17:03,073][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [master-node01] uncaught exception in thread [main]
Jun 28 15:17:03 master-node01 elasticsearch[22343]: org.elasticsearch.bootstrap.StartupException: java.lang.IllegalArgumentException: property [elasticsearch.version] is missing for plugin [
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:140) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:127) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:86) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]: Caused by: java.lang.IllegalArgumentException: property [elasticsearch.version] is missing for plugin [head]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.plugins.PluginInfo.readFromProperties(PluginInfo.java:187) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.plugins.PluginsService.readPluginBundle(PluginsService.java:484) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.plugins.PluginsService.findBundles(PluginsService.java:463) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.plugins.PluginsService.<init>(PluginsService.java:147) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.node.Node.<init>(Node.java:311) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.node.Node.<init>(Node.java:252) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Bootstrap$5.<init>(Bootstrap.java:213) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:213) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:326) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-6.3.0.jar:6.3.0]
Jun 28 15:17:03 master-node01 elasticsearch[22343]:         ... 6 more
Jun 28 15:17:03 master-node01 systemd[1]: elasticsearch.service: Main process exited, code=exited, status=1/FAILURE
Jun 28 15:17:03 master-node01 systemd[1]: elasticsearch.service: Unit entered failed state.
Jun 28 15:17:03 master-node01 systemd[1]: elasticsearch.service: Failed with result 'exit-code'.

Installation process of plugin:

  1. Install npm
  2. git clone repo of plugin
  3. cd to the dir
  4. npm install
  5. then start elasticsearch-head with systemd unit.

If I just download plugin to elasticsearch plugin dir, I receive same error


(David Pilato) #2

Sounds like you did step 2 in elasticsearch plugins dir.
Don't do that and remove the plugins/elasticsearch-head dir if any.


(Pavel Kozlov) #3

It is really helped me!

I tried to install plugin only to plugin dir.

Tnx! ES is the best!


(system) #4

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.